Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176910 - cairo fails to build in rawhide
Summary: cairo fails to build in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target 164374 167383 mbt3blocker
TreeView+ depends on / blocked
 
Reported: 2006-01-04 07:35 UTC by Jesse Keating
Modified: 2013-01-10 02:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-31 19:18:10 UTC


Attachments (Terms of Use)
build failure log (deleted)
2006-01-04 07:35 UTC, Jesse Keating
no flags Details
Remove spurious definitions (deleted)
2006-01-04 17:45 UTC, Carl Worth
no flags Details | Diff
Patch to cairo spec to add build fix and embedded bitmap patches (deleted)
2006-01-17 01:57 UTC, Tim Mayberry
no flags Details | Diff
Embedded bitmap patch (deleted)
2006-01-17 01:58 UTC, Tim Mayberry
no flags Details | Diff
Build fix patch (deleted)
2006-01-17 01:58 UTC, Tim Mayberry
no flags Details | Diff

Description Jesse Keating 2006-01-04 07:35:51 UTC
Please see attached log.  Build fails on ppc64.  Looks like assembler stuff maybe.

Comment 1 Jesse Keating 2006-01-04 07:35:51 UTC
Created attachment 122756 [details]
build failure log

Comment 2 Carl Worth 2006-01-04 17:45:35 UTC
Created attachment 122769 [details]
Remove spurious definitions

This looks like a bug that was in 1.0.2 but that only shows up with more recent
versions of binutils. Here is the patch that already exists in cairo CVS for
this bug.

2005-11-21  Carl Worth	<cworth@cworth.org>

	* src/pixman-remap.h: Remove duplicate definitions of
	pixman_color_to_pixel and pixman_composite which break the
	build with very recent binutils.

Comment 3 Tim Mayberry 2006-01-17 01:57:11 UTC
Created attachment 123279 [details]
Patch to cairo spec to add build fix and embedded bitmap patches

Patch to cairo spec file to add two patches, one to fix cairo build with gcc
version in Rawhide, the other to support the embedded bitmap fontconfig option
that is needed for bug 164374 and bug 167383.

Comment 4 Tim Mayberry 2006-01-17 01:58:04 UTC
Created attachment 123281 [details]
Embedded bitmap patch

Comment 5 Tim Mayberry 2006-01-17 01:58:55 UTC
Created attachment 123282 [details]
Build fix patch

Comment 6 Tim Mayberry 2006-01-18 01:45:30 UTC
Somewhat related, I just tried to build cairo using mock and In order for cairo
to be built with the Xlib backend I had to add libX11-devel to the BuildRequires.  

Comment 7 Ray Strode [halfline] 2006-01-31 16:14:59 UTC
Hey guys,

I'm building this into rawhide.  I want to make sure this doesn't get forgot
about  and miss test3.

If there's problems with the patch we'll still have plenty of time to fix things up.

Should be in tomorrow's rawhide. Let me know if the changes work.

Comment 8 Tim Mayberry 2006-02-07 05:37:03 UTC
Sorry for the delay, just letting you know that the changes do indeed work.
Thank you.


Note You need to log in before you can comment on or make changes to this bug.